/*This .do file runs two subroutines, "programs/01_processdata.do" and
"programs/02_processdata.do" that load the restricted-use data, modify
it, and then exports it to later perform the final data analysis. 

Before running this file, researchers should obtain the Jobs First 
data and convert to .dta form. 

These .do files are modifications of the original .do files from Bitler,
Gelbach, and Hoynes (2017) "Can Variation in Subgroups' Average Treatment
Effects Explain Treatment Effect Heterogeneity? Evidence from a Social
Experiment." The original .do files are licensed under BSD-3 license
(see LICENSE.txt for details). */


***************************
clear all
set more off
cap log close

capture log close

************************************
*  File directories -- change the  *
*  next line to your directory to  *
*  replicate the results           *

cd "My_Working_Directory/replication_MS13944"

*******************************************************
* Directory where raw and processed data are stored
global afs2 "My_Working_Directory/replication_MS13944/data/acquired"
global procdata "My_Working_Directory/replication_MS13944/data/processed"

***********************************************
log using "programs/processdata.log", replace
!date

***********************************************
* Load source data, reshape, and store it.
do "programs/01_processdata.do"
do "programs/02_processdata.do"

cap log close
