# ------------------------------------ #
# GLOBAL_LIBRARIES: install libraries
# that are used in the replication code.
# This file is based on the template by
# Lars Vilhuber, the Data Editor at
# the AEA (as of June 2024). Please
# visit the GitHub repository for at
#
# https://github.com/labordynamicsinstitute/paper-template/tree/main
#
# for more information.
# ------------------------------------ #
# Author: Mauricio Olivares
# LMU Munich
# ------------------------------------ #

ppm_date <- "2024-08-08"
options(repos = paste0("https://packagemanager.posit.co/cran/", ppm_date, "/"))

# Note: Using this with a specific version
# number may fail, since not all dependencies
# might be met. Debug interactively, then identify
# all installed packages that needed to be pinned.

pkgTest <- function(x, y = "") {
  if (!require(x, character.only = TRUE)) {
    if (y == "") {
      install.packages(x, dep = TRUE)
    } else {
      remotes::install_version(x, y)
    }
    if (!require(x, character.only = TRUE)) stop("Package not found")
  }
  return("OK")
}

global_lib <- c("quantreg", "readstata13", "dplyr", "multiwayvcov", "RATest")

results <- sapply(as.list(global_lib), pkgTest)